Odd issue with updates

I'm running the Dragonized Plasma latest ISO and get told when updating from the Terminal "error: failed to retrieve file" for files that it looks like just above those error messages were actually downloaded. I also noticed that in Acro I had an update for Sonarr and when I just did the updates for Garuda I wasn't offered the Sonarr update. Are there update issues that need addressing?

╭─[email protected] in ~ took 15s
╰─λ topgrade

―― 03:07:55 - System update ――――――――――――――――――――――――――――――――――――――――――――――――――――
[sudo] password for jigsaw:                     
:: Synchronizing package databases...
core                                  134.5 KiB   558 KiB/s 00:00 [------------------------------------] 100%
extra                                1566.8 KiB  4.41 MiB/s 00:00 [------------------------------------] 100%
community                               5.6 MiB  9.98 MiB/s 00:01 [------------------------------------] 100%
multilib is up to date
chaotic-aur                          1095.6 KiB   994 KiB/s 00:01 [------------------------------------] 100%
:: Starting full system upgrade...
warning: topgrade: local (7.0.1-1) is newer than chaotic-aur (6.9.1-1)
warning: whoogle: local (0.5.4-1) is newer than chaotic-aur (0.5.3-1)
resolving dependencies...
looking for conflicting packages...

Packages (6) hdparm-9.62-1  memtest86+-5.31b-1  openmpi-4.1.1-2  paru-1.7.2-1  python-docutils-0.17-1
python-pip-20.3.1-2

Total Download Size:    7.13 MiB
Total Installed Size:  23.29 MiB
Net Upgrade Size:       0.14 MiB

:: Proceed with installation? [Y/n] y
:: Retrieving packages...
*memtest86+-5.31b-1-any                 55.0 KiB   219 KiB/s 00:00 [------------------------------------] 100%*
*hdparm-9.62-1-x86_64                   85.1 KiB   322 KiB/s 00:00 [------------------------------------] 100%*
*python-docutils-0.17-1-any            745.1 KiB  1872 KiB/s 00:00 [------------------------------------] 100%*
*openmpi-4.1.1-2-x86_64                  3.3 MiB  7.41 MiB/s 00:00 [------------------------------------] 100%*
*python-pip-20.3.1-2-any               417.3 KiB  3.02 MiB/s 00:00 [------------------------------------] 100%*
*paru-1.7.2-1-x86_64                     2.6 MiB  3.16 MiB/s 00:01 [------------------------------------] 100%*
*Total (6/6)                             7.1 MiB  8.07 MiB/s 00:01 [------------------------------------] 100%*
*error: failed retrieving file 'python-docutils-0.17-1-any.pkg.tar.zst' from archmirror1.octyl.net : HTTP/2 stream 17 was not closed cleanly before end of the underlying stream*
*error: failed retrieving file 'hdparm-9.62-1-x86_64.pkg.tar.zst' from archmirror1.octyl.net : HTTP/2 stream 11was not closed cleanly before end of the underlying stream*
*error: failed retrieving file 'memtest86+-5.31b-1-any.pkg.tar.zst' from archmirror1.octyl.net : HTTP/2 stream 13 was not closed cleanly before end of the underlying stream*
*warning: too many errors from archmirror1.octyl.net, skipping for the remainder of this transaction*
*error: failed retrieving file 'openmpi-4.1.1-2-x86_64.pkg.tar.zst' from archmirror1.octyl.net : HTTP/2 stream 15 was not closed cleanly before end of the underlying stream*
(6/6) checking keys in keyring                                     [------------------------------------] 100%
(6/6) checking package integrity                                   [------------------------------------] 100%
(6/6) loading package files                                        [------------------------------------] 100%
(6/6) checking for file conflicts                                  [------------------------------------] 100%
(6/6) checking available disk space                                [------------------------------------] 100%
:: Running pre-transaction hooks...
(1/1) Creating Timeshift snapshot before upgrade...
Using system disk as snapshot device for creating snapshots in BTRFS mode

/dev/nvme0n1p2 is mounted at: /run/timeshift/backup, options: rw,relatime,compress=zstd:3,ssd,space_cache,autodefrag,subvolid=5,subvol=/

Creating new backup...(BTRFS)
Saving to device: /dev/nvme0n1p2, mounted at path: /run/timeshift/backup
Created directory: /run/timeshift/backup/timeshift-btrfs/snapshots/2021-06-12_03-08-35
Created subvolume snapshot: /run/timeshift/backup/timeshift-btrfs/snapshots/2021-06-12_03-08-35/@
Created control file: /run/timeshift/backup/timeshift-btrfs/snapshots/2021-06-12_03-08-35/info.json
BTRFS Snapshot saved successfully (0s)
Tagged snapshot '2021-06-12_03-08-35': ondemand
------------------------------------------------------------------------------

/dev/nvme0n1p2 is mounted at: /run/timeshift/backup, options: rw,relatime,compress=zstd:3,ssd,space_cache,autodefrag,subvolid=5,subvol=/

------------------------------------------------------------------------------
Removing snapshot: 2021-06-11_07-42-23
Deleting subvolume: @ (Id:299)
Deleted subvolume: @ (Id:299)

Destroying qgroup: 0/299
Destroyed qgroup: 0/299

Deleted directory: /run/timeshift/backup/timeshift-btrfs/snapshots/2021-06-11_07-42-23
Removed snapshot: 2021-06-11_07-42-23
------------------------------------------------------------------------------
Generating grub configuration file ...
Found theme: /usr/share/grub/themes/garuda-dr460nized/theme.txt
Found linux image: /boot/vmlinuz-linux-zen
Found initrd image: /boot/amd-ucode.img /boot/initramfs-linux-zen.img
Found fallback initrd image(s) in /boot: initramfs-linux-zen-fallback.img
Found ArcoLinux on /dev/nvme1n1p2
Detecting snapshots ...
Info: Separate boot partition not detected 
Found snapshot: 2021-06-12 03:08:35 | timeshift-btrfs/snapshots/2021-06-12_03-08-35/@
Found snapshot: 2021-06-12 02:43:26 | timeshift-btrfs/snapshots/2021-06-12_02-43-26/@
Found snapshot: 2021-06-11 17:17:47 | timeshift-btrfs/snapshots/2021-06-11_17-17-47/@
Found snapshot: 2021-06-11 15:52:56 | timeshift-btrfs/snapshots/2021-06-11_15-52-56/@
Found snapshot: 2021-06-11 13:26:24 | timeshift-btrfs/snapshots/2021-06-11_13-26-24/@
Found snapshot: 2021-06-11 11:53:35 | timeshift-btrfs/snapshots/2021-06-11_11-53-35/@
Found snapshot: 2021-06-11 08:56:54 | timeshift-btrfs/snapshots/2021-06-11_08-56-54/@
Found snapshot: 2021-06-11 06:00:07 | timeshift-btrfs/snapshots/2021-06-11_06-00-07/@
Found 8 snapshot(s)
Found memtest86+ image: /boot/memtest86+/memtest.bin
/usr/bin/grub-probe: warning: unknown device type nvme0n1.
done
:: Processing package changes...
(1/6) upgrading hdparm                                             [------------------------------------] 100%
(2/6) upgrading memtest86+                                         [------------------------------------] 100%
(3/6) upgrading openmpi                                            [------------------------------------] 100%
(4/6) upgrading paru                                               [------------------------------------] 100%
warning: /etc/paru.conf installed as /etc/paru.conf.pacnew
(5/6) upgrading python-docutils                                    [------------------------------------] 100%
(6/6) upgrading python-pip                                         [------------------------------------] 100%
:: Running post-transaction hooks...
(1/8) Syncing all file systems...
(2/8) Arming ConditionNeedsUpdate...
*(3/8) Foreign/AUR package notification*
angrysearch 1.0.2-1
cpu-x 4.2.0-1
freefilesync-bin 11.10-1
i-nex 7.6.1-5
jackett 0.18.283-1
komga 0.99.0-1
lib32-libnm-glib 1.18.5dev+12+ga8746f48ca-1
libcpuid 0.5.1-1
libnm-glib 1.18.5dev+12+ga8746f48ca-1
pamac-tray-icon-plasma 0.1.3-1
python2-twodict-git 1.2.r2.g925d3bd-1
radarr-develop 3.2.2.5080-1
snapd 2.51-1
snapd-glib 1.59-1
sonarr-develop 3.0.6.1263-1
vivaldi-snapshot 4.0.2312.17-1
youtube-dl-gui-git 0.4.r81.gc5c18e5-1
(4/8) Orphaned package notification...
asciidoc 9.1.0-1
dotnet-sdk 5.0.7.sdk204-1
doxygen 1.9.1-1
gambas3-devel 3.15.2-11
go 2:1.16.5-1
go-tools 4:0.1.2-1
itstool 1:2.0.6-2
kfiredragonhelper 5.0.6-1
lib32-dconf 0.40.0-1
lib32-libgusb 0.3.7-1
lib32-libnm-glib 1.18.5dev+12+ga8746f48ca-1
lib32-polkit 0.119-1
meson 0.58.1-1
nasm 2.15.05-1
python-docutils 0.17-1
qt4 4.8.7-33
snapd-glib 1.59-1
vala 0.52.4-1
(5/8) Checking for .pacnew and .pacsave files...
.pac* files found:
/etc/pamac.conf.pacnew
/etc/pacman.conf.pacnew
/etc/pacman.d/mirrorlist.pacnew
/etc/paru.conf.pacnew
/etc/systemd/system.conf.pacnew
/etc/systemd/user.conf.pacnew
Please check and merge
(6/8) Updating pkgfile database...
(7/8) Checking which packages need to be rebuilt
(8/8) Syncing all file systems...
:: Searching databases for updates...
:: Searching AUR for updates...
-> topgrade: local (7.0.1-1) is newer than chaotic-aur (6.9.1-1)
-> whoogle: local (0.5.4-1) is newer than chaotic-aur (0.5.3-1)
:: Checking development packages...
-> Missing AUR Packages:  lib32-libnm-glib  libnm-glib
there is nothing to do

―― 03:08:56 - pip3 ―――――――――――――――――――――――――――――――――――――――――――――――――――――――――――――
Requirement already satisfied: pip in ./.local/lib/python3.9/site-packages (21.1.2)

―― 03:08:56 - micro ――――――――――――――――――――――――――――――――――――――――――――――――――――――――――――
Checking for plugin updates
Nothing to install / update

―― 03:08:57 - Flatpak User Packages ――――――――――――――――――――――――――――――――――――――――――――
Looking for updates…
Nothing to do.
Looking for updates…
Nothing to do.

―― 03:08:57 - snap ―――――――――――――――――――――――――――――――――――――――――――――――――――――――――――――
All snaps up to date.

―― 03:08:58 - Firmware upgrades ――――――――――――――――――――――――――――――――――――――――――――――――
Firmware metadata last refresh: 18 hours ago. Use --force to refresh again.
Devices with no available firmware updates: 
• USB3.0 Hub
• UEFI dbx
• USB2.0 Hub
Devices with the latest available firmware version:
• Unifying Receiver
• Unifying Receiver

―― 03:09:00 - Summary ――――――――――――――――――――――――――――――――――――――――――――――――――――――――――
System update: OK
pip3: OK
micro: OK
Flatpak: OK
snap: OK
Firmware upgrades: OK

Pacman backup configuration files found:
/etc/pacman.d/mirrorlist.pacnew
/etc/systemd/system.conf.pacnew
/etc/systemd/user.conf.pacnew
/etc/pacman.conf.pacnew
/etc/pamac.conf.pacnew
/etc/paru.conf.pacnew

╭─[email protected] in ~ took 1m4s
╰─λ udp
fish: Unknown command: udp

╭─[email protected] in ~ took 257ms
[🔍] × upd
[sudo] password for jigsaw:                     
File: /etc/pacman.d/mirrorlist
################################################################################
################# Arch Linux mirrorlist generated by Reflector #################
################################################################################

# With:       reflector --latest 5 --age 2 --fastest 5 --protocol https --sort rate --save /etc/pacman.d/mirro
rlist
# When:       2021-06-12 10:18:34 UTC
# From:       https://www.archlinux.org/mirrors/status/json/
# Retrieved:  2021-06-12 10:18:17 UTC
# Last Check: 2021-06-12 09:17:18 UTC

Server = https://mirror.pkgbuild.com/$repo/os/$arch
Server = https://mirror.telepoint.bg/archlinux/$repo/os/$arch
Server = https://mirror.pseudoform.org/$repo/os/$arch
Server = https://mirror.easylee.nl/archlinux/$repo/os/$arch
Server = https://archlinux.thaller.ws/$repo/os/$arch
:: Synchronizing package databases...
core is up to date
extra is up to date
community is up to date
multilib is up to date
chaotic-aur                          1089.4 KiB   222 KiB/s 00:05 [------------------------------------] 100%
:: Starting full system upgrade...
warning: topgrade: local (7.0.1-1) is newer than chaotic-aur (6.9.1-1)
warning: whoogle: local (0.5.4-1) is newer than chaotic-aur (0.5.3-1)
there is nothing to do
Parsing man pages and writing completions to /home/jigsaw/.local/share/fish/generated_completions/
9416 / 9416 : zramctl.8.gz

This looks like an issue with the mirror.

Remove that mirror from /etc/pacman.d/mirrorlist, or refresh the list.

You already did that at the end of your log, so now the same problem won't reoccur.

2 Likes

Thanks mirrors are now updated. What abut like Sonarr and others being listed below the "foreign package notifications", and at least Sonarr not updating in Garuda when it just did in Acro using the same update tools?

Where did you install this package from?

I assume it's sonarr-develop which is listed as version 3.0.6.1263-1 on the AUR package page, so which version do you currently have installed?

If you're updating AUR packages, what's the output of yay -Syu or paru- Syu ?

2 Likes

Yes it's Sonarr-develop 3.0.6.1263-1, installed through Pamac. Looks like I got the update in Garuda before getting it this morning in Acro, so actually good there.

╰─λ yay -Syu
[sudo] password for jigsaw:
:: Synchronizing package databases...
core is up to date
extra is up to date
community is up to date
multilib is up to date
chaotic-aur is up to date
:: Starting full system upgrade...
warning: topgrade: local (7.0.1-1) is newer than chaotic-aur (6.9.1-1)
warning: whoogle: local (0.5.4-1) is newer than chaotic-aur (0.5.3-1)
there is nothing to do
:: Searching databases for updates...
:: Searching AUR for updates...
-> topgrade: local (7.0.1-1) is newer than chaotic-aur (6.9.1-1)
-> whoogle: local (0.5.4-1) is newer than chaotic-aur (0.5.3-1)
-> Missing AUR Packages:  lib32-libnm-glib  libnm-glib
there is nothing to do
2 Likes

This topic was automatically closed 14 days after the last reply. New replies are no longer allowed.